/*******************************************************************************
 * Quest survey management 
 *
 * Copyright (C) 2015 eoda
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package de.eoda.qtafi.surveymanager.lang;

import org.eclipse.rap.rwt.RWT;

public final class Messages {

	private static final String BUNDLE_NAME = "de/eoda/qtafi/surveymanager/lang/Messages";
	public static Messages messages = null;

	public String Account_Title;
	public String Account_ProjectLinkPrefix;
	public String Account_Status;
	public String Account_Status_Terminated;
	public String Account_Status_Setup;
	public String Account_Status_Online;
	public String Account_Responses;
	public String Account_Button_Logout;
	public String Account_Button_CreateProject;

	public String Admin_Title;
	public String Admin_AddAccount;
	public String Admin_Error_Access_Title;
	public String Admin_Error_Access;
	public String Admin_Account;
	public String Admin_Projects;
	public String Admin_Exists_Error_Title;
	public String Admin_Exists_Error_Pre;
	public String Admin_Exists_Error_Suf;
	public String Admin_CreateProject;
	public String Admin_RemoveProject;

	public String DataView_Title;
	public String DataView_Button_Export;
	public String DataView_Button_Delect;
	public String DataView_ResponseData;
	public String DataView_Project;
	public String DataView_ErrorBox_Title;
	public String DataView_ErrorBox_Text;

	public String Dialog_AssignProject_Title;
	public String Dialog_AssignProject_Select;
	public String Dialog_AssignProject_Project;
	public String Dialog_AssignProject_Role;
	public String Dialog_CreateProject_Title;
	public String Dialog_CreateProject_ProjectName;
	public String Dialog_CreateQuest_Language;
	public String Dialog_CreateQuest_Default;
	public String Dialog_CreateQuest_NewQuest;
	public String Dialog_EditUser_Name;
	public String Dialog_EditUser_Account;
	public String Dialog_EditUser_Role;
	public String Dialog_EditUser_Remove;
	public String Dialog_EditUser_Password;
	public String Dialog_EditUser_Create;
	public String Dialog_EditUser_AssignedProjects;
	public String Dialog_EditUser_RetypePassword;
	public String Dialog_EditUser_Error_Title;
	public String Dialog_EditUser_Error_Text;
	public String Dialog_Filter_Title;
	public String Dialog_Frequency_TitlePrefix;
	public String Dialog_Frequency_Category;
	public String Dialog_Frequency_Count;
	public String Dialog_Frequency_Percentage;
	public String Dialog_Frequency_Close;
	public String Dialog_LibraryQuest_MeanSubject;
	public String Dialog_LibraryQuest_Visibility;
	public String Dialog_LibraryQuest_Public;
	public String Dialog_QuestOptions_Title;
	public String Dialog_QuestOptions_TextDirection;
	public String Dialog_QuestOptions_RightToLeft;
	public String Dialog_QuestOptions_LeftToRight;
	public String Dialog_ReportProperty_Title;
	public String Dialog_Resources_Title;
	public String Dialog_Resources_Columns_Namecol;
	public String Dialog_Resources_Columns_Action;
	public String Dialog_Resources_Columns_Download;
	public String Dialog_Resources_FileUpload_Title;
	public String Dialog_Resources_Button_Close;
	public String Dialog_Text_Title;

	public String Editor_Title;
	public String Editor_Options;
	public String Editor_Export;
	public String Editor_Import;
	public String Editor_Trash;
	public String Editor_AppendPage;
	public String Editor_Questions;
	public String Editor_Questions_HL_long;
	public String Editor_Questions_CV_long;
	public String Editor_Questions_MD_long;
	public String Editor_Questions_OR_long;
	public String Editor_Questions_TE_long;
	public String Editor_Questions_ME_long;
	public String Editor_AdvancedComponents;
	public String Editor_AdvancedQuestions_IMG_long;
	public String Editor_AdvancedQuestions_Nav_long;
	public String Editor_AdvancedQuestions_Prog_long;
	public String Editor_AdvancedQuestions_Log_long;
	public String Editor_AdvancedQuestions_HTML_long;
	public String Editor_AdvancedQuestions_RAW_long;
	public String Editor_AdvancedQuestions_DATE_long;
	public String Editor_AdvancedQuestions_LANG_long;
	public String Editor_Library;
	public String Editor_Illegal_Access_Short;
	public String Editor_Illegal_Access_Long;
	public String Editor_Not_allowed;
	public String Editor_Printable;
	public String Editor_CopyFromDefault;

	public String Home_Title;
	public String Home_Offline;
	public String Home_Online;
	public String Home_AsRole;
	
	public String Login_Title;
	public String Login_Name;
	public String Login_Password;
	public String Login_Remember;
	public String Login_Button_Submit;
	public String Login_Message_Invalid_Title;
	public String Login_Message_Invalid;
	
	public String Log_Log;
	public String Log_DeleteResponse;
	public String Log_LogData;
	public String Log_Export;
	public String Log_Delete;
	
	public String Project_Title_Prefix;
	public String Project_Responses;
	public String Project_ViewResponse;
	public String Project_Report;
	public String Project_Authentication;
	public String Project_Open_Quest;
	public String Project_Questionnaire;
	public String Project_Questionnaire_New;
	public String Project_ExistsWarning_short;
	public String Project_ExistsWarning_long;
	public String Project_DataLossWarning_short;
	public String Project_DataLossWarning_long;
	public String Project_AccessWarning_short;
	public String Project_AccessWarning_long;
	public String Project_Resources;
	public String Project_Runtime;
	public String Project_Start;
	public String Project_End;
	public String Project_Response;
	public String Project_DefaultQuestionnaire;
	public String Project_Questionnaire_Language;
	public String Project_Responses_lc;
	public String Project_Users_Defined;
	public String Project_Response_Rate;
	public String Project_Publish;
	public String Project_Unpublish;
	
	public String ProjectInfo_Title;
	public String ProjectInfo_Administrated_By;
	
	public String QuestEditor_Categories;
	public String QuestEditor_Title_Prefix;
	public String QuestEditor_Layout;
	public String QuestEditor_Question;
	public String QuestEditor_Radioboxes;
	public String QuestEditor_Pulldown;
	public String QuestEditor_Checkboxes;
	public String QuestEditor_FileSelect;
	public String QuestEditor_Preview;
	public String QuestEditor_Online;
	public String QuestEditor_ButtonLogin;
	public String QuestEditor_ButtonNext;
	public String QuestEditor_ButtonPrevious;
	public String QuestEditor_Filter;
	public String QuestEditor_Trash;
	public String QuestEditor_OrGroup;
	public String QuestEditor_AndGroup;
	public String QuestEditor_ShowQuestion;
	public String QuestEditor_HideQuestion;
	public String QuestEditor_ErrorMsg_title;
	public String QuestEditor_Error_Sfx;
	public String QuestEditor_ErrorMsg_InvalidId_text;
	public String QuestEditor_ErrorMsg_InvalidVariables_text;
	public String QuestEditor_ColHead_Key;
	public String QuestEditor_ColHead_Label;
	public String QuestEditor_Variable;
	public String QuestEditor_Variables;
	public String QuestEditor_Label_Id;
	public String QuestEditor_Label_Type;
	public String QuestEditor_Label_Subject;
	public String QuestEditor_Label_Code;
	public String QuestEditor_Label_Text;
	public String QuestEditor_Label_Number;
	public String QuestEditor_Label_Subline;
	public String QuestEditor_Lines;
	public String QuestEditor_SelectFile;
	public String QuestEditor_TextLength;
	public String QuestEditor_NumberSize;
	public String QuestEditor_File;
	public String QuestEditor_Page;
	public String QuestEditor_Head;
	public String QuestEditor_Foot;
	public String QuestEditor_PIN;
	public String QuestEditor_XML;
	public String QuestEditor__PreviousPage;
	public String QuestEditor__NextPage;
	public String QuestEditor_NoneSelected;
	public String QuestEditor_NoLabel;
	public String QuestEditor_Protected;
	
	public String ReportContribution_Title;

	public String ReportPage_Export;
	//public String ReportPage_Imprt;
	public String ReportPage_Trash;
	public String ReportPage_Printable;
	
	//
	//public String ReportPage_Export;
	public String ReportPage_Title;
	public String ReportPage_ApplyToAll;
	public String ReportPage_Properties;
	public String ReportPage_Layout;
	public String ReportPage_Total;
	public String ReportPage_Totals;
	public String ReportPage_ShowTotals;
	public String ReportPage_Show;
	public String ReportPage_Break;
	public String ReportPage_RemoveBreak;
	public String ReportPage_BreakBy;
	public String ReportPage_Chart;
	public String ReportPage_Percent;
	public String ReportPage_Count;
	public String ReportPage_Mean;
	
	public String ReportPage_MissingCases;
	public String ReportPage_TotalAnswers;
	public String ReportPage_QuestionType;
	

	public String UsersPage_Title;
	public String UsersPage_Users;
	public String UsersPage_Button_Delete;
	public String UsersPage_Col_Pin;
	public String UsersPage_Col_Info;
	public String UsersPage_Col_Answered;
	public String UsersPage_ImportPins;
	public String UsersPage_ExportPins;
	public String UsersPage_CreatePins;
	public String UsersPage_Filter;

	
	static {
		System.setProperty("user.language", "");
	}
	
	private Messages() {
		// prevent instantiation
	}
	
	public static Messages get() {
		/*
		Messages m = (Messages) RWT.getRequest().getSession().getAttribute(BUNDLE_NAME);
		if(m != null) return m;
		m = RWT.NLS.getUTF8Encoded(BUNDLE_NAME, Messages.class);
		RWT.getRequest().getSession().setAttribute(BUNDLE_NAME, m);
		return m;
		*/
		return RWT.NLS.getUTF8Encoded(BUNDLE_NAME, Messages.class);
	}

}