/*******************************************************************************
 * Quest survey management 
 *
 * Copyright (C) 2015 eoda
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package de.eoda.qtafi.surveymanager.util;

import java.io.File;
import java.io.InputStream;
import java.io.PrintStream;

public class MySQLDumper {

private static String ip="localhost";
private static String port="3306";
private static String database="dbname";
private static String user="root";
private static String pass="a";
private static String path="E:\\Usersdbname.sql";

public static void export(){
	String dumpCommand = "mysqldump " + database + " -h " + ip + " -u " + user +" -p" + pass;
	Runtime rt = Runtime.getRuntime();
	File test = new File(path);
	PrintStream ps;
	
	try{
		Process child = rt.exec(dumpCommand);
		ps = new PrintStream(test);
		InputStream in = child.getInputStream();
		int ch;
		while ((ch = in.read()) != -1) {
			ps.write(ch);
			System.out.write(ch); //to view it by console
		}
	
		InputStream err = child.getErrorStream();
		while ((ch = err.read()) != -1) {
			System.out.write(ch);
		}
	}
	catch(Exception exc) {
			exc.printStackTrace();
		}
	}
	
	public static void main(String args[]){
		export();
	}
}
