/*******************************************************************************
 * Quest survey management 
 *
 * Copyright (C) 2015 eoda
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package de.eoda.qtafi.surveymanager.util;

public class User {
	
	public final int n;
	public String pin;
	public String info;
	public boolean answered =false;
	
	public User(int n, String pin, boolean a) {
		this.n = n;
		this.pin = pin;
		this.answered = a;
	}
	
	public User(int n, String pin, String info) {
		this.n = n;
		this.pin = pin;
		this.info = info;
	}
	
	public User(int n, String pin, String info, boolean a) {
		this.n = n;
		this.pin = pin;
		this.info = info;
		this.answered = a;
	}

}
