/*******************************************************************************
 * Questionnaire runtime
 *
 * Copyright (C) 2015 martin.guist@eoda.de
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package de.tinu.qtafi4.util;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class StringHelpers {
	
	public static StringBuffer readFile(String s){
		StringBuffer buf = new StringBuffer();
		try {
		    BufferedReader in = new BufferedReader(new InputStreamReader(new FileInputStream(s),"utf-8"));
		    String str;
		    while ((str = in.readLine()) != null) buf.append(str+"\n");
		    in.close();
		} 
		catch (IOException e){
			e.printStackTrace();
		}
		return buf;
	}
	
	public static StringBuffer readStream(InputStream input){
		StringBuffer buf = new StringBuffer();
		try {
		    BufferedReader in = new BufferedReader(new InputStreamReader(input,"utf-8"));
		    String str;
		    while ((str = in.readLine()) != null) buf.append(str+"\n");
		    in.close();
		} 
		catch (IOException e){
			e.printStackTrace();
		}
		return buf;
	}
	
}
