/*******************************************************************************
 * Questionnaire runtime
 *
 * Copyright (C) 2015 martin.guist@eoda.de
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package de.tinu.qtafi4.auth;

public class AuthenticationError extends Exception {
	
	private static final long serialVersionUID = 1L;
	
	public static final int INVALID_CREDENTIALS = 1;
	public static final int CONFIGURATION_ERROR = 2;
	
	private int type;
	
	public AuthenticationError(int type){
		this.type = type;
	}
	
	public int getType() {
		return type;
	}
}
