/*******************************************************************************
 * Quest survey management 
 *
 * Copyright (C) 2015 eoda
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package de.tinu.qtafi4.model;

import java.util.HashMap;
import java.util.Map;

public class LayoutData {
	
	public static final String NAVIGATIONBUTTON_NEXT = "navigationButtonNext";
	public static final String NAVIGATIONBUTTON_PREVIOUS = "navigationButtonPrevious";
	public static final String PULLDOWN_SIZE = "pulldownSize";
	public static final String INPUT_STYLE = "inputStyle";
	public static final String INPUT_SIZE = "inputSize";
	public static final String INPUT_WIDTH = "inputWidth";
	public static final String INPUT_HEIGHT = "inputHeight";
	public static final String INPUT_LINES = "inputLines";
	public static final String LOGIN_BUTTON_LABEL = "loginButtonLabel";
	
	
	public final Map<String, String> attributes = new HashMap<String, String>();

}
